| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::IOSContextMetalImpeller Class Referencefinal

`#include <ios_context_metal_impeller.h>`

Inheritance diagram for flutter::IOSContextMetalImpeller:

## Public Member Functions
| IOSContextMetalImpeller (const std::shared_ptr< const fml::SyncSwitch > &is_gpu_disabled_sync_switch)
| ~IOSContextMetalImpeller ()
fml::scoped_nsobject< FlutterDarwinContextMetalSkia > | GetDarwinContext () const
IOSRenderingBackend | GetBackend () const override
| Get the rendering backend used by this context. More...
sk_sp< GrDirectContext > | GetMainContext () const override
| Accessor for the Skia context associated with IOSSurfaces and the raster thread. More...
sk_sp< GrDirectContext > | GetResourceContext () const
Public Member Functions inherited from flutter::IOSContext
virtual | ~IOSContext ()
| Collects the context object. This must happen on the thread on which this object was created. More...
MsaaSampleCount | GetMsaaSampleCount () const

## Additional Inherited Members
Static Public Member Functions inherited from flutter::IOSContext
static std::unique_ptr< IOSContext > | Create (IOSRenderingAPI api, IOSRenderingBackend backend, MsaaSampleCount msaa_samples, const std::shared_ptr< const fml::SyncSwitch > &is_gpu_disabled_sync_switch)
| Create an iOS context object capable of creating the on-screen and off-screen GPU context for use by Skia. More...
Protected Member Functions inherited from flutter::IOSContext
| IOSContext (MsaaSampleCount msaa_samples)

## Detailed Description

Definition at line 21 of file ios_context_metal_impeller.h.

## Constructor & Destructor Documentation

## ◆ IOSContextMetalImpeller()

flutter::IOSContextMetalImpeller::IOSContextMetalImpeller | ( | const std::shared_ptr< const fml::SyncSwitch > & | is_gpu_disabled_sync_switch | ) |
| explicit

## ◆ ~IOSContextMetalImpeller()

flutter::IOSContextMetalImpeller::~IOSContextMetalImpeller | ( |  | ) |

## Member Function Documentation

## ◆ GetBackend()

IOSRenderingBackend flutter::IOSContextMetalImpeller::GetBackend | ( |  | ) | const
| override virtual

Get the rendering backend used by this context.

Returns
  The rendering backend.

Reimplemented from flutter::IOSContext.

## ◆ GetDarwinContext()

fml::scoped_nsobject<FlutterDarwinContextMetalSkia> flutter::IOSContextMetalImpeller::GetDarwinContext | ( |  | ) | const

## ◆ GetMainContext()

sk_sp<GrDirectContext> flutter::IOSContextMetalImpeller::GetMainContext | ( |  | ) | const
| override virtual

Accessor for the Skia context associated with IOSSurfaces and the raster thread.

There can be any number of resource contexts but this is the one context that will be used by surfaces to draw to the screen from the raster thread.

Returns
  `nullptr` on failure.

Attention
  The software context doesn't have a Skia context, so this value will be nullptr.

See also
  For contexts which are used for offscreen work like loading textures see IOSContext::CreateResourceContext.

Implements flutter::IOSContext.

## ◆ GetResourceContext()

sk_sp<GrDirectContext> flutter::IOSContextMetalImpeller::GetResourceContext | ( |  | ) | const

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/ios_context_metal_impeller.h